Fetch Alerts
curl --request GET \
--url https://api.chargeblast.com/api/v2/alerts \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.chargeblast.com/api/v2/alerts"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://api.chargeblast.com/api/v2/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alerts": [
{
"id": "<string>",
"alertType": "<string>",
"creditAppealed": true,
"createdAt": "2023-11-07T05:31:56Z",
"amount": 123,
"transactionDate": "2023-11-07T05:31:56Z",
"subprovider": "<string>",
"provider": "<string>",
"card": "<string>",
"issuer": "<string>",
"invoicedAt": "2023-11-07T05:31:56Z",
"authCode": "<string>",
"site": "<string>",
"customerEmail": "<string>",
"creditStatus": "<string>",
"currency": "<string>",
"reasonCode": "<string>",
"merchantId": "<string>",
"acquirerAction": "<string>",
"alertId": "<string>",
"resolvedDate": "2023-11-07T05:31:56Z",
"resolvedByApi": true,
"externalOrder": "<string>",
"externalUrl": "<string>",
"creditNotes": "<string>",
"arn": "<string>",
"attributes": {
"order_number": "#1533",
"processor_id": "proc_b381c83a9bc8a93"
},
"customerId": "<string>",
"descriptor": "<string>",
"cardBrand": "<string>",
"responseAction": "<string>"
}
],
"page": 123,
"per": 123,
"total": 123
}Alerts
Fetch Alerts
Get all the alerts from your chargeblast account.
GET
/
api
/
v2
/
alerts
Fetch Alerts
The
subprovider field indicates the alert network. See Alert Types for all possible values and descriptions.Each alert may include optional
attributes: a dictionary of string keys and string values (for example order_number, processor_id). The same field appears on webhook payloads when present.Headers
Your API key. Sent in the X-API-Key header.
Query Parameters
The type of alerts to filter for, possible values: RDR, CDRN, Ethoca, TC40, SAFE
The starting page of the request. Default value of 0.
How many objects to request per page. Default value of 10.
⌘I
